#include <stdio.h>
#include <fcntl.h>
#include <unistd.h>
#include <string.h>

#include "termset.h"

const char port[] = "/dev/ttyACM0";
const int baudrate = 9600;

int main(void)
{
  int fd;
  struct termios new, old;
  char buf[1024] = {0};
  ssize_t n_read = 0;

  /* Open file */
  printf("Abriendo el puerto serie...\n");
  fd = open(port, O_RDONLY | O_NOCTTY | O_SYNC);
  if(fd < -1)
  {
    printf("ERROR: no se pudo abrir el archivo\n");
    return -1;
  }
  else
    fcntl(fd, F_SETFL, 0);

  printf("Configurando el puerto serie...\n");
  if(termset(fd, baudrate, &old, &new) == -1)
  {
    printf("ERROR: configuración de tty\n");
    return -1;
  }

  printf("Leyendo el puerto serie...\n");
  for(;;)
  {
    n_read = read(fd, buf, 1);
    if(n_read == 1)
      printf("%c\n", buf[0]);
    usleep(100000);
  }

  return 0;
}

