#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include "termset.h"

const char port[] = "/dev/ttyACM0";
const int baudrate = 9600;

int main(int argc, char * argv[])
{
  int fd;
  FILE * fptr;
  ssize_t n_read;
  size_t len = 0;
  char * line;

  fptr = fopen(port, "r");
  if(fptr == NULL)
  {
    printf("ERROR: no se pudo abrir el archivo\n");
    return -1;
  }
  fd = fileno(fptr);

  if(termset(fd, baudrate, &ttyold, &ttynew) == -1)
  {
    printf("ERROR: configuración de tty\n");
    return -1;
  }

  for(;;)
  {
    n_read = getline(&line, &len, fptr);
    if(n_read != -1)
      printf("Línea: %s", line);
  }

  fclose(fptr);
  return 0;
}

